Subject: Re: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2020 17:08:21 +0200

> From: Vladimir Nikishkin <[email-masked]>
> Date: Sun, 12 Jan 2020 14:49:12 +0800
> Cc: [email-masked]
> 
> Sorry, my debugging skills are too poor.
> 
> So I attached gdb to Emacs, cont'd, then killed scim, and then
> interrupted Emacs by issuing C-c in the gdb prompt,
> and then collected a stack trace. I am not sure I am doing something
> meaningful, as this is the first time I use gdb:
> Here's the stack trace:

Previously, you said that this unoptimized build "crashed, printing
This is GTK bug".  But I don't seed any crash here, just interrupted
Emacs because you typed C-c.  Does this mean you cannot reproduce the
crash under GDB?